Bug 1386843 - [RFE] Validate that Hot Plug is enabled when re-configuring a powered-on VMware VM
Summary: [RFE] Validate that Hot Plug is enabled when re-configuring a powered-on VMwa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Adam Grare
QA Contact: luke couzens
URL:
Whiteboard: vsphere:reconfigure
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-19 17:10 UTC by Saif Ali
Modified: 2019-12-16 07:10 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:40 UTC
Category: ---
Cloudforms Team: VMware
Target Upstream Version:


Attachments (Terms of Use)
Automation logs (353.76 KB, application/zip)
2016-10-19 17:10 UTC, Saif Ali
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Saif Ali 2016-10-19 17:10:57 UTC
Created attachment 1212230 [details]
Automation logs

Description of problem:
Unable to reconfigure VM while the VM is online. reconfigure the VM offline work.

Version-Release number of selected component (if applicable):
CloudForms 4.1 (CFME Version 5.6.1.2.20160810181333_8ba817b)
RHEL 7.2 (3.10.0-327.36.1.el7.x86_64) 
Infrastructure provider: 
VMware vCenter 5.5.0 (build 2646482)
VMware 5.5.0 (build 2067769)

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Greg McCullough 2016-10-19 17:27:01 UTC
Found in EVM log:
[----] E, [2016-10-18T17:29:49.062811 #11808:679990] ERROR -- : Q-task_id([vm_reconfigure_task_1000000000116]) MIQ(VmReconfigureTask#execute) [Error: CPU hot plug is not supported for this virtual machine.] encountered during VM Reconfigure

This error is being returned from VMware.

Comment 3 Adam Grare 2016-10-19 17:38:22 UTC
Looks like setMemory is also failing:
[----] E, [2016-10-18T18:04:58.374966 #11808:679990] ERROR -- : MIQ(MiqQueue#deliver) Message id: [1000006803651], Error: [Invalid virtual machine configuration.]
[----] E, [2016-10-18T18:04:58.375388 #11808:679990] ERROR -- : [VimFault]: Invalid virtual machine configuration.  Method:[rescue in deliver]
[----] E, [2016-10-18T18:04:58.375576 #11808:679990] ERROR -- : (druby://127.0.0.1:37366) /var/www/miq/vmdb/gems/pending/VMwareWebService/MiqVimInventory.rb:2163:in `waitForTask'
42334 (druby://127.0.0.1:37366) /var/www/miq/vmdb/gems/pending/VMwareWebService/MiqVimVm.rb:1218:in `waitForTask'
42335 (druby://127.0.0.1:37366) /var/www/miq/vmdb/gems/pending/VMwareWebService/MiqVimVm.rb:622:in `setMemory'

Comment 4 Adam Grare 2016-10-19 17:55:37 UTC
Did the customer try to change the number of sockets or the number of CPUs per socket?

I was able to add an additional socket to a running VM through CFME, but changing the number of cores per socket failed, and the field is greyed out in the vSphere client.

Comment 5 Saif Ali 2016-10-19 18:11:09 UTC
I have tried:

- Add more sockets.
- Add more CPUs.
- Add more memory.

All in one request and in separate requests. In all of them i have the error in "hot plug" state, only works if the VM is shutdown,  "cold" state.

Comment 6 Adam Grare 2016-10-19 18:33:25 UTC
Can you enable debug logging for evm and vim and reproduce?  All I see are the warnings and errors in the logs but I'd like to see the vm config spec that was created for the reconfig task.

Comment 7 Adam Grare 2016-10-19 19:40:30 UTC
We were able to add CPU sockets to a powered on vm that had CPU Hot Plug enabled.

Errors were caused by:
1. Adding CPUs to a VM that did not have cpu hot plug enabled
2. Changing CPUs per socket (not supported for a powered on VM even with hot plug enabled)
3. Adding memory to a VM that does not have memory hot plug enabled
4. Adding more memory than the hotPlugMemoryLimit

We should have validation checks for these conditions so that the user does not get a cryptic error message like "Invalid virtual machine configuration"

Changing to an RFE to add these checks.

Comment 8 Adam Grare 2016-11-28 21:40:32 UTC
https://github.com/ManageIQ/manageiq/pull/12275

Comment 9 luke couzens 2017-02-28 19:51:04 UTC
Verified in 5.8.0.2

Comment 11 errata-xmlrpc 2017-05-31 14:22:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.